<?php
/**
 * Simple cache class
 * @author José Carlos Cruz Parra AKA internia
 * josecarlos@programadorphpfreelance.com
 * http://programadorphpfreelance.com
 * 2013
 * This code is released under the GNU General Public License.
 */
class MyCache
{
    protected $_data;

	/**
	 * @return MyCache()
	 * @desc Constructor
	 */
    public function __construct()
    {
        $this->_data = array();
    }
	/**
     * Guarda un valor en cache
     *
     * @param mixed $val
     * @param string $i1
     * @param string $i2
     * @param string $i3
     * @param string $i4
     * @param string $i5
     */
    public function Set($val, $i1, $i2 = null, $i3 = null, $i4 = null, $i5 = null)
    {
        if(is_null($i2))
        {
            $this->_data[$i1] = $val;
        }
        elseif(is_null($i3))
        {
            $this->_data[$i1][$i2] = $val;
        }
        elseif(is_null($i4))
        {
            $this->_data[$i1][$i2][$i3] = $val;
        }
        elseif(is_null($i5))
        {
            $this->_data[$i1][$i2][$i3][$i4] = $val;
        }
        else
        {
            $this->_data[$i1][$i2][$i3][$i4][$i5] = $val;
        }
    }
	/**
     * Obtiene el valor de un elemento cacheado, o null si no está cacheado
     *
     * @param string $i1
     * @param string $i2
     * @param string $i3
     * @param string $i4
     * @param string $i5
     * @return mixed
     */
    public function Get($i1, $i2 = null, $i3 = null, $i4 = null, $i5 = null)
    {
        if(is_null($i2))
        {
            return $this->Exists($i1) ? $this->_data[$i1] : null;
        }
        elseif(is_null($i3))
        {
            return $this->Exists($i1, $i2) ? $this->_data[$i1][$i2] : null;
        }
        elseif(is_null($i4))
        {
            return $this->Exists($i1, $i2, $i3) ? $this->_data[$i1][$i2][$i3] : null;
        }
        elseif(is_null($i5))
        {
            return $this->Exists($i1, $i2, $i3, $i4) ? $this->_data[$i1][$i2][$i3][$i4] : null;
        }
        else
        {
            return $this->Exists($i1, $i2, $i3, $i4, $i5) ? $this->_data[$i1][$i2][$i3][$i4][$i5] : null;
        }
    }
	/**
     * Comprueba si un elemento existe en el mapa de caché (osea, está cacheado)
     *
     * @param string $i1
     * @param string $i2
     * @param string $i3
     * @param string $i4
     * @param string $i5
     * @return bool
     */
    public function Exists($i1, $i2 = null, $i3 = null, $i4 = null, $i5 = null)
    {
        if(is_null($i2))
        {
            return isset($this->_data[$i1]);
        }
        elseif(is_null($i3))
        {
            return isset($this->_data[$i1][$i2]);
        }
        elseif(is_null($i4))
        {
            return isset($this->_data[$i1][$i2][$i3]);
        }
        elseif(is_null($i5))
        {
            return isset($this->_data[$i1][$i2][$i3][$i4]);
        }
        else
        {
            return isset($this->_data[$i1][$i2][$i3][$i4][$i5]);
        }
    }
}
