<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {link} function plugin
 *
 * Type:     function<br />
 * Name:     filegetcontents<br />
 * Purpose:  get contents from file, you can apply addcslashes<br />
 * @link
 * @author José Carlos Cruz Parra AKA Internia
 * @param array
 * @param Smarty
 */
function smarty_function_filegetcontents($params, &$smarty)
{
	if (empty($params['file'])) {
		$smarty->trigger_error("filegetcontents: missing 'file' parameter");
		return;
	}

	if($params['isTemplate'])
	{
		$params['file'] = $smarty->template_dir."/".$params['file'];
	}

	$contents = file_get_contents($params['file']);

	return $params['addcslashes'] ? addcslashes($contents, $params['charlist']) : $contents;
}

/* vim: set expandtab: */

?>