<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty currency_format modifier plugin
 *
 * Type:     modifier<br>
 * Name:     precio_format<br>
 * Purpose:  format a number as price
 * @link
 * @author   José Carlos Cruz Parra AKA Internia
 * @param float
 * @return string
 */
function smarty_modifier_precio_format($amount, $conDecimales=true)
{
    $locale_info = localeconv();

	return sprintf('<span class="precio_int">%s</span>%s <span class="precio_sym">%s</span>',
		number_format(floor($amount), 0, $locale_info['mon_decimal_point'], $locale_info['mon_thousands_sep']),
		$conDecimales ? sprintf('<span class="precio_dec">%s%02s</span>', $locale_info['mon_decimal_point'], round(($amount - floor($amount)) * 100)) : '',
		'€' //$locale_info["currency_symbol"]
		);
}

/* vim: set expandtab: */
