<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2013-11-12
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/camposuser/admin/functions.inc.php
 *
 */

/**
 * Valida los datos de un registro de campouser
 *
 * @param array $data
 * @return bool
 */
function camposuser_validarDatos($data)
{
	global $swphp_idiomas;

	$ok = true;

	$requeridos = array(
		'info'=>'Info',
		);
	foreach($requeridos as $key=>$nombre)
	{
		if(!isset($data[$key]) || $data[$key] == '')
		{
			SWPHP::_Msg("Falta el dato: {$nombre}", "error");
			$ok = false;
		}
	}

	$requeridos = array(
		'nombre'=>'Nombre',
		);
	foreach($requeridos as $key=>$nombre)
	{
		if(!isset($data['idiomas'][SWPHP_IDIOMA_POR_DEFECTO][$key]) || $data['idiomas'][SWPHP_IDIOMA_POR_DEFECTO][$key] == '')
		{
			SWPHP::_Msg("Falta el dato: {$nombre} ({$swphp_idiomas[SWPHP_IDIOMA_POR_DEFECTO]['nombre']})", "error");
			$ok = false;
		}
	}

	return $ok;
}
/**
 * Prepara los datos para insertar o actualizar un campouser en la base de datos
 *
 * @param array $data
 * @param int $id
 * @return array
 */
function camposuser_prepararDatos($data, $id=0)
{
	global $db;

	$clave = string2friendly($data['idiomas'][SWPHP_IDIOMA_POR_DEFECTO]['nombre']);
	$data['clave'] = $clave;

	foreach($data as $key=>$value)
	{
		switch($key)
		{
			case "permiso_id":
			case "micuenta":
			case "peso":
				$data[$key] = intval($value);
				break;
			case "info":
				$data[$key] = trim($value);
				break;
			case "clave":
				$c = 1;
				while($db->ExistsQuery("SELECT c.clave FROM ".SWPHP_DBPREFIX."camposuser AS c WHERE c.id != '{$id}' AND c.clave = '{$data['clave']}'"))
				{
					$data['clave'] = "{$clave}-{$c}";
					$c++;
				}
				break;
			default:
				//Cualquier otro dato lo descarto
				unset($data[$key]);
				break;
		}
	}

	return $data;
}
/**
 * Prepara los datos para insertar o actualizar un campouser en idioma
 *
 * @param array $idiomas
 * @param int $idioma_id
 * @param int $id
 * @return array
 */
function camposuser_prepararDatosIdioma($idiomas, $idioma_id, $id=0)
{
	global $db;

	$data = SWPHP::_PrepararDatosIdioma($idiomas, $idioma_id, array('nombre'));

	if($id)
	{
		$data['campouser_id'] = $id;
	}
	$data['idioma_id'] = $idioma_id;

	return $data;
}
/**
 * Asocia perfiles a un campouser
 *
 * @param int $id
 * @param array $perfiles
 */
function camposuser_asociarPerfiles($id, $perfiles)
{
	global $db;

	$db->Execute(buildQuery_Delete(SWPHP_DBPREFIX."camposuser_perfiles", array('campouser_id'=>$id)));

	foreach($perfiles as $perfil_id=>$permiso_id)
	{
		SWPHP::_ExecuteQuery(
			buildQuery_Insert(array('campouser_id'=>$id, 'perfil_id'=>$perfil_id, 'permiso_id'=>$permiso_id), SWPHP_DBPREFIX."camposuser_perfiles"),
			'',
			"No se ha podido asociar al perfil Id.{$perfil_id}"
		);
	}
}

function camposuser_eliminar($id)
{
	SWPHP::_Msg('No está permitido eliminar camposuser', 'prohibido');
}
