<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-12-25
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/configuracion/install.php
 *
 */

/**
 * Realiza las actuaciones particulares de la instalación de este módulo:
 *
 * @param array $info
 * @return bool
 */
function configuracion_instalar($info)
{
	global $db;

	$ok = true;

	SWPHP::_ExecuteQuery("SET NAMES 'utf8'", "", "");

	$queries = array(
		"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."config` (
		  `id` smallint(6) NOT NULL AUTO_INCREMENT,
		  `variable` varchar(60) NOT NULL DEFAULT 'unnamed',
		  `valor` text NOT NULL,
		  `concepto` varchar(30) NOT NULL,
		  `info` varchar(255) NOT NULL DEFAULT 'tag=input;type=text;size=40;maxlength=255',
		  `texto` varchar(64) NOT NULL,
		  PRIMARY KEY (`id`),
		  UNIQUE KEY `variable` (`variable`,`concepto`)
		) DEFAULT CHARSET=utf8",
		);
	foreach($queries as $query)
	{
		$ok &= SWPHP::_ExecuteQuery($query, "", "No se pudo ejecutar la sentencia:<br /> {$query}");
	}

	$ok &= SWPHP::_CreateConfigValue('titulo', 'Mi página web', 'configuracion', 'tag=input;type=text;size=40;maxlength=60', 'Título de la web');
	$ok &= SWPHP::_CreateConfigValue('subtitulo', 'Eslogan de mi página', 'configuracion', 'tag=input;type=text;size=40;maxlength=120', 'Subtítulo (slogan)');
	$ok &= SWPHP::_CreateConfigValue('titulotitle', 'Mi página web con SWPHP EA', 'configuracion', 'tag=input;type=text;size=60;maxlength=255', 'Título title');
	$ok &= SWPHP::_CreateConfigValue('emailadmin', 'miemail@midominio.com', 'configuracion', 'tag=input;type=text;size=40;maxlength=255', 'Email admin');
	$ok &= SWPHP::_CreateConfigValue('emailenvios', 'noresponder@midominio.com', 'configuracion_email', 'tag=input;type=text;size=40;maxlength=255', 'Email envíos');
	$ok &= SWPHP::_CreateConfigValue('nombreenvios', 'Mi página web', 'configuracion_email', 'tag=input;type=text;size=40;maxlength=255', 'Nombre envíos');
	$ok &= SWPHP::_CreateConfigValue('organizacion', 'Mi organización', 'configuracion', 'tag=input;type=text;size=40;maxlength=255', 'Organización');
	$ok &= SWPHP::_CreateConfigValue('dominio', 'midominio.com', 'configuracion', 'tag=input;type=text;size=40;maxlength=255', 'Dominio');
	$ok &= SWPHP::_CreateConfigValue('url', 'http://www.midominio.com/', 'configuracion', 'tag=input;type=text;size=40;maxlength=255', 'Url completa y terminada en /');
	$ok &= SWPHP::_CreateConfigValue('smtp_user', '', 'configuracion_email', 'tag=input;type=text;size=20;maxlength=60', 'Usuario SMTP');
	$ok &= SWPHP::_CreateConfigValue('smtp_pass', '', 'configuracion_email', 'tag=input;type=text;size=20;maxlength=60', 'Clave SMTP');
	$ok &= SWPHP::_CreateConfigValue('smtp_host', '', 'configuracion_email', 'tag=input;type=text;size=40;maxlength=255', 'Servidor SMTP');
	$ok &= SWPHP::_CreateConfigValue('smtp_port', '', 'configuracion_email', 'tag=input;type=text;size=10;maxlength=5', 'Puerto SMTP');
	$ok &= SWPHP::_CreateConfigValue('usar_smtp', '0', 'configuracion_email', 'tag=input;type=checkbox', 'Usar SMTP');
	$ok &= SWPHP::_CreateConfigValue('force_compile', '0', 'configuracion_smarty', 'tag=input;type=checkbox', 'Forzar compilación de plantillas');
	$ok &= SWPHP::_CreateConfigValue('version', '0.0.0', 'usointerno', 'tag=input;type=text;size=10;maxlength=12', 'Versión de SWPHP EA');
	$ok &= SWPHP::_CreateConfigValue('idioma', '1', 'idiomas', 'tag=select;options=SWPHP::_Rows2Assoc(SWPHP_DBPREFIX.\'idiomas\', \'nombre\', \'id\', \'WHERE activo = \'1\' ORDER BY peso\', array(\'0\', \'\'))', 'Idioma por defecto');
	$ok &= SWPHP::_CreateConfigValue('plugins', 'safari,style,layer,table,advhr,advimage,advlink,iespell,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,noneditable,visualchars,nonbreaking,xhtmlxtras,template,inlinepopups', 'configuracion_tinymce', 'tag=input;type=text;size=80;maxlength=255', 'Plugins habilitados');
	$ok &= SWPHP::_CreateConfigValue('buttons1', 'cut,copy,paste,pastetext,pasteword,|,search,replace,|,bold,italic,underline,strikethrough,sub,sup,|,justifyleft,justifycenter,justifyright,justifyfull,|,bullist,numlist,|,outdent,indent,|,forecolor,backcolor,|,template', 'configuracion_tinymce', 'tag=input;type=text;size=80;maxlength=255', 'Primera fila de botones');
	$ok &= SWPHP::_CreateConfigValue('buttons2', 'styleselect,formatselect,fontselect,fontsizeselect,|,link,unlink,anchor,image,media,charmap,insertdate,inserttime,hr,advhr,|,attribs', 'configuracion_tinymce', 'tag=input;type=text;size=80;maxlength=255', 'Segunda fila de botones');
	$ok &= SWPHP::_CreateConfigValue('buttons3', 'undo,redo,|,insertlayer,moveforward,movebackward,absolute,|,tablecontrols,|,visualchars,nonbreaking,cleanup,removeformat,visualaid,|,code,help', 'configuracion_tinymce', 'tag=input;type=text;size=80;maxlength=255', 'Tercera fila de botones');
	$ok &= SWPHP::_CreateConfigValue('canonical', '', 'configuracion_google', 'tag=input;type=text;size=40;maxlength=120', 'Url canónica base sin / al final');
	$ok &= SWPHP::_CreateConfigValue('siteverification', '', 'configuracion_google', 'tag=input;type=text;size=40;maxlength=120', 'Código de verificación del sitio');
	$ok &= SWPHP::_CreateConfigValue('analytics', '', 'configuracion_google', 'tag=input;type=text;size=20;maxlength=20', 'Identificador de Analytics');

	//la variable theme se crea desde la actualización de la versión 0.3.0 de SWPHP EA

	return $ok;
}
/**
 * Realiza las actuaciones particulares de la desinstalación de este módulo
 *
 * @param array $info
 * @return bool
 */
function configuracion_desinstalar($info)
{
	//Es un módulo core

	return false;
}