<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-04-07
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/admin/configuracion/funtions.inc.php
 *
 */

/**
 * Prepara los datos para guardarlos en la tabla
 *
 * @param array $data
 * @param string $concepto
 * @return array
 */
function kapitaltruth_configuracion_prepararDatos($data, $concepto)
{
	global $db;

	$checks = $db->GetValuesQuery("SELECT variable FROM ".SWPHP_DBPREFIX."kptl_config WHERE concepto = '{$concepto}' AND info LIKE '%type=checkbox%'");
	foreach($checks as $check)
	{
		$data[$check] = isset($data[$check]);
	}

	foreach($data as $key=>$value)
	{
		switch($key)
		{
			default:
				$data[$key] = trim($value);
				break;
		}
	}

	return $data;
}
/**
 * Comprueba si se cumplen los requisitos para habilitar el experimento KPTL
 *
 * @return bool
 */
function kapitaltruth_configuracion_sePuedeHabilitarKPTL()
{
	global $db;

	$ok = true;

	//Comprobar si hay el mínimo de preguntas exigido

	$n = $db->GetValueQuery("SELECT COUNT(*) FROM ".SWPHP_DBPREFIX."kptl_preguntas WHERE activo = 1", false);
	$m = KPTL::GetConfigValue('minpreguntas');
	if($n < $m)
	{
		SWPHP::_Msg(l('No hay el mínimo de preguntas necesarias', 'kapitaltruth')." (hay {$n} y se requieren {$m})", 'error');
		$ok = false;
	}

	if(!$ok)
	{
		SWPHP::_Msg(l('No se puede habilitar KPTL', 'kapitaltruth'), 'prohibido');
	}

	return $ok;
}
?>