<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2017-05-05
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/admin/grupos/index.php
 *
 */

$kptl_config = SWPHP::_GetConfigValues('kapitaltruth', false, 'kptl_config');

$id = isset($_GET["id"]) ? intval($_GET["id"]) : 0;
$op = isset($_GET['op']) ? $_GET['op'] : '';

if($kptl_config['habilitarkptl'] && in_array($op, array('edit', 'new', 'upd', 'reg')))
{
	$op = '';
	SWPHP::_Msg(l('No se pueden gestionar los grupos estando KPTL habilitado', 'kapitaltruth'), 'prohibido');
}

$mostrarprincipal = true;

switch($op)
{
	case "edit":
		$registro = $db->GetRow("SELECT * FROM ".SWPHP_DBPREFIX."kptl_grupos WHERE id = '{$id}'");
		$registro['idiomas'] = array();
		foreach($swphp_idiomas as $idioma)
		{
			$registro['idiomas'][$idioma['id']] = $db->GetRow("SELECT texto FROM ".SWPHP_DBPREFIX."kptl_grupos_idiomas WHERE grupo_id = '{$id}' AND idioma_id = '{$idioma['id']}'");
		}

		$smarty->assign("registro", $registro);
	case "new":
		$admin_template = "{$swphp_module_templates_dir}admin/grupos/grupo.tpl";
		$mostrarprincipal = false;

		SWPHP::_AddDocumentReady("$('.editlang').children('.lang').click(function(event){EditLangs(event);});");
		break;
	case "upd":
		if(!KPTL_ActuacionesAdmin::Act('ModGrupo', array('id'=>$id), $_POST))
		{
			$mostrarprincipal = false;
		}
		break;
	case "reg":
		if(!KPTL_ActuacionesAdmin::Act('AddGrupo', array(), $_POST))
		{
			$mostrarprincipal = false;
		}
		break;
}

if($mostrarprincipal)
{
	$paginador = SWPHP::_CrearPaginador('grupos');
	$paginador->SetParam('etiqueta', l("grupo", 'kapitaltruth'));
	$paginador->Fill("SELECT p.id, pi.texto, COUNT(ku.id) AS usuarios, p.activo"
        . " FROM ".SWPHP_DBPREFIX."kptl_grupos AS p"
        . " JOIN ".SWPHP_DBPREFIX."kptl_grupos_idiomas AS pi ON p.id = pi.grupo_id AND pi.idioma_id = '".SWPHP_IDIOMA_POR_DEFECTO."'"
        . " LEFT JOIN ".SWPHP_DBPREFIX."kptl_usuarios AS ku ON ku.grupos LIKE CONCAT('%\"', p.id, '\"%')"
        . " GROUP BY p.id"
        . " ORDER BY p.peso, p.id"
        );

	$paginador->SetParam('campos', array(
		'id'=>array("label"=>"Id.", "class"=>"numeric", "style"=>"width:64px"),
		'texto'=>array("label"=>l('Nombre', 'kapitaltruth')),
        'usuarios'=>array('label'=>l('Usuarios', 'kapitaltruth'), 'class'=>'numeric'),
		'activo'=>array("label"=>"", "orderby"=>false, "style"=>"width:100px")
		));

	$paginador->SetParam('buscador', array(
		'pi.texto'=>l('Nombre', 'kapitaltruth'),
		'p.activo'=>l('Activa', 'kapitaltruth'),
		'p.id'=>l('Id.', 'kapitaltruth'),
		));

	function applyToReg(&$reg, $key)
	{
		global $swphp_mod_clave, $kptl_config;

		$id = $reg['id'];

        $reg['usuarios'] = $reg['usuarios'] > 0 ?
            sprintf('<a href="%s/usuarios/?grupo_id=%u">%u %s</a>', SWPHP_ADMIN_DIR.$swphp_mod_clave, $id, $reg['usuarios'], l('usuarios', 'kapitaltruth'))
            :
            sprintf('%u %s', $reg['usuarios'], l('usuarios', 'kapitaltruth'));

		if($kptl_config['habilitarkptl'])
		{
			$reg["activo"] = ($reg["activo"] ?
					SWPHP::_Icon("green_button.png", 16, array("alt"=>"Activado"))
					:
					SWPHP::_Icon("red_button.png", 16, array("alt"=>"Desactivado")));
		}
		else
		{
			$reg["activo"] = ($reg["activo"] ?
					"<a id=\"aActivar{$id}\" href=\"javascript:;\" onclick=\"xajax_Activar({$id})\" title=\"Desactivar\">".SWPHP::_Icon("green_button.png", 16, array("alt"=>"Desactivar"))."</a>"
					:
					"<a id=\"aActivar{$id}\" href=\"javascript:;\" onclick=\"xajax_Activar({$id})\" title=\"Activar\">".SWPHP::_Icon("red_button.png", 16, array("alt"=>"Activar"))."</a>")
				." <a href=\"".SWPHP_ADMIN_DIR.$swphp_mod_clave."/grupos/?op=edit&amp;id={$id}\">".SWPHP::_Icon("edit.png", 16, array("alt"=>"Editar", "title"=>"Editar Id. {$id}"))."</a>"
				." <a id=\"aEliminar{$id}\" href=\"javascript:EliminarGrupo({$id})\" title=\"Eliminar\">".SWPHP::_Icon("remove.png", 16, array("alt"=>"Eliminar", "title"=>"Eliminar Id. {$id}"))."</a>";
		}
	}
	$paginador->SetParam('applyToRegs', 'applyToReg');

	$admin_template = "{$swphp_module_templates_dir}admin/grupos/grupos.tpl";

	$smarty->assign('paginador', $paginador);

	$smarty->assign("kptl_config", $kptl_config);
}
