<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-03-15
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/noticias/admin/index.php
 *
 */

include_once(SWPHP_COMMON_DIR.'functions/images.php');

$noticias_config = SWPHP::_GetConfigValues("noticias");

$dirimg = "img/noticias/".date("Y")."/";
$dirthumb = $dirimg."thumbs/";
$dirpreview = $dirimg."preview/";
if(SWPHP::_CheckDirWritable($dirthumb))
{
	SWPHP::_CheckDirWritable($dirpreview);
}

$id = isset($_GET["id"]) ? intval($_GET["id"]) : 0;
$op = isset($_GET['op']) ? $_GET['op'] : '';

$mostrarprincipal = true;

switch($op)
{
	case "edit":
		$registro = $db->GetRow("SELECT n.*, ur.nick AS userregistro, uu.nick AS userultima FROM ".SWPHP_DBPREFIX."noticias AS n"
			." LEFT JOIN ".SWPHP_DBPREFIX."users AS ur ON ur.id = n.user_idregistro"
			." LEFT JOIN ".SWPHP_DBPREFIX."users AS uu ON uu.id = n.user_idultima"
			." WHERE n.id = '{$id}'");
		$registro['idiomas'] = array();
		foreach($swphp_idiomas as $idioma)
		{
			$registro['idiomas'][$idioma['id']] = $db->GetRow("SELECT titulo, introduccion, contenido, friendly, keywords, tags, urlimagen FROM ".SWPHP_DBPREFIX."noticias_idiomas WHERE noticia_id = '{$id}' AND idioma_id = '{$idioma['id']}'");
		}
		$registro = noticias_asignarImagenes($registro);
		$smarty->assign('registro', $registro);
	case "new":
		$smarty->assign('noticias_config', $noticias_config);
		$smarty->assign('fuentes', noticias_getFuentes());
		$admin_template = "{$swphp_module_templates_dir}admin/noticia.tpl";
		$mostrarprincipal = false;

		SWPHP::_AddDocumentReady("$('.editlang').children('.lang').click(function(event){EditLangs(event);});");

		break;
	case "upd":
		if(noticias_validarDatos($_POST))
		{
			if(isset($_POST['delimg']) && $_POST['delimg'])
			{
				noticias_eliminarImagen($id);
			}

			$fileimg = SWPHP::_SubirArchivo("imagen", $dirimg, "jpg,jpeg,gif,png");
			if($fileimg)
			{
				noticias_eliminarImagen($id);

				resizeImage($dirimg.$fileimg, SWPHP::_ConfigSize2ArraySize($noticias_config["largesize"]), $dirimg);
				resizeImage($dirimg.$fileimg, SWPHP::_ConfigSize2ArraySize($noticias_config["imagesize"]), $dirpreview);
				resizeImage($dirimg.$fileimg, SWPHP::_ConfigSize2ArraySize($noticias_config["thumbsize"]), $dirthumb);
				$_POST["imagen"] = $dirimg.$fileimg;
			}

			if(SWPHP::_ExecuteQuery(
				buildQuery_Update(noticias_prepararDatos($_POST, $id), SWPHP_DBPREFIX."noticias", $id),
				"Noticia actualizada correctamente",
				"No se ha podido actualizar el registro"
				))
			{
				foreach($swphp_idiomas as $idioma)
				{
					$query = $db->Exists($idioma['id'], 'idioma_id', SWPHP_DBPREFIX.'noticias_idiomas', "WHERE noticia_id = '{$id}'") ?
						buildQuery_Update(noticias_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."noticias_idiomas", array('noticia_id'=>$id, 'idioma_id'=>$idioma['id']))
						:
						buildQuery_Insert(noticias_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."noticias_idiomas");

					SWPHP::_ExecuteQuery(
						$query,
						'',
						"No se ha podido guardar la información en {$idioma['nombre']}"
					);
				}
			}
		}
		break;
	case "reg":
		if(noticias_validarDatos($_POST))
		{
			$fileimg = SWPHP::_SubirArchivo("imagen", $dirimg, "jpg,jpeg,gif,png");
			if($fileimg)
			{
				resizeImage($dirimg.$fileimg, SWPHP::_ConfigSize2ArraySize($noticias_config["largesize"]), $dirimg);
				resizeImage($dirimg.$fileimg, SWPHP::_ConfigSize2ArraySize($noticias_config["imagesize"]), $dirpreview);
				resizeImage($dirimg.$fileimg, SWPHP::_ConfigSize2ArraySize($noticias_config["thumbsize"]), $dirthumb);
				$_POST["imagen"] = $dirimg.$fileimg;
			}

			if(SWPHP::_ExecuteQuery(
				buildQuery_Insert(noticias_prepararDatos($_POST), SWPHP_DBPREFIX."noticias"),
				"Noticia registrada correctamente",
				"No se ha podido insertar el registro"
				))
			{
				$id = $db->Insert_Id();
				foreach($swphp_idiomas as $idioma)
				{
					SWPHP::_ExecuteQuery(
						buildQuery_Insert(noticias_prepararDatosIdioma($_POST['idiomas'], $idioma['id'], $id), SWPHP_DBPREFIX."noticias_idiomas"),
						'',
						"No se ha podido guardar la información en {$idioma['nombre']}"
					);
				}
			}
		}
		break;
}

if($mostrarprincipal)
{
	$paginador = SWPHP::_CrearPaginador('noticias');
	$paginador->SetParam('etiqueta', 'noticia');
	$paginador->Fill("SELECT n.id, n.fecha, ni.titulo, f.nombre AS fuente, n.activo"
		." FROM ".SWPHP_DBPREFIX."noticias AS n"
		." JOIN ".SWPHP_DBPREFIX."noticias_idiomas AS ni ON n.id = ni.noticia_id AND ni.idioma_id = '".SWPHP_IDIOMA_POR_DEFECTO."'"
		." LEFT JOIN ".SWPHP_DBPREFIX."fuentesnoticias AS f ON n.fuente_id = f.id"
		." ORDER BY n.fecha DESC, n.id DESC");

	$paginador->SetParam('campos', array(
		'id'=>array("label"=>"Id.", "class"=>"numeric"),
		'fecha'=>array("label"=>"Fecha", "class"=>"center"),
		'titulo'=>array("label"=>"Título"),
		'fuente'=>array("label"=>"Fuente"),
		'activo'=>array("label"=>"", "orderby"=>false)
		));

	$paginador->SetParam('buscador', array(
		'ni.titulo'=>'Título',
		'n.fecha'=>'Fecha',
		'f.nombre'=>'Fuente',
		'n.id'=>'Id.',
		));

	function applyToReg(&$reg, $key)
	{
		global $swphp_mod_clave;

		$id = $reg['id'];

		$reg["activo"] = "<a href=\"".SWPHP_ADMIN_DIR.$swphp_mod_clave."/?op=edit&amp;id={$id}\">".SWPHP::_Icon("edit.png", 16, array("alt"=>"Editar", "title"=>"Editar Id. {$id}"))."</a>"
			.($reg["activo"] ?
				" <a id=\"aActivar{$id}\" href=\"javascript:;\" onclick=\"xajax_Activar({$id})\" title=\"Desactivar\">".SWPHP::_Icon("green_button.png", 16, array("alt"=>"Desactivar"))."</a>"
				:
				" <a id=\"aActivar{$id}\" href=\"javascript:;\" onclick=\"xajax_Activar({$id})\" title=\"Activar\">".SWPHP::_Icon("red_button.png", 16, array("alt"=>"Activar"))."</a>")
			." <a id=\"aEliminar{$id}\" href=\"javascript:EliminarNoticia({$id})\" title=\"Eliminar\">".SWPHP::_Icon("remove.png", 16, array("alt"=>"Eliminar", "title"=>"Eliminar Id. {$id}"))."</a>";
	}
	$paginador->SetParam('applyToRegs', 'applyToReg');

	$admin_template = "{$swphp_module_templates_dir}admin/noticias.tpl";

	$smarty->assign('paginador', $paginador);
}
