<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2013-04-01
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/scu/install.php
 *
 */

/**
 * Realiza las actuaciones particulares de la instalación de este módulo
 *
 * @param array $info
 * @return bool
 */
function scu_instalar($info)
{
	global $db;

	$ok = SWPHP::_ExecuteSQLFile(SWPHP_MODULES_DIR.$info['clave'].'/sql/install.sql');

	$ok &= SWPHP::_CreateConfigValue('fechayhoraultima', '0000-00-00 00:00:00', 'scu', 'tag=input;type=text;size=20;maxlength=16', l('Última vez que se ejecutó el motor de envíos', 'scu'), SWPHP_PERMISO_SOLOLECTURA, false);
    $ok &= SWPHP::_CreateConfigValue('modomotor', 'visitas', 'scu', 'tag=select;options=array(\'cron\'=>\'cron\',\'visitas\'=>\'visitas\');class=requerido', l('Modo de ejecución del motor de envíos', 'scu'), SWPHP_PERMISO_LECTURAYESCRITURA, false);
    $ok &= SWPHP::_CreateConfigValue('croncode', 'cambiame', 'scu', 'tag=input;type=text;size=20;maxlength=32;class=requerido', l('Código para ejecutar el cron', 'scu'), SWPHP_PERMISO_LECTURAYESCRITURA, false);
    $ok &= SWPHP::_CreateConfigValue('emailenvios', '', 'scu', 'tag=input;type=text;size=40;maxlength=120;class=email', l('Email remitente de los envíos por email (en blanco para usar el general)', 'scu'), SWPHP_PERMISO_LECTURAYESCRITURA, false);
    $ok &= SWPHP::_CreateConfigValue('nombreenvios', '', 'scu', 'tag=input;type=text;size=40;maxlength=120;class=email', l('Nombre remitente de los envíos por email (en blanco para usar el general)', 'scu'), SWPHP_PERMISO_LECTURAYESCRITURA, false);
    $ok &= SWPHP::_CreateConfigValue('remitentesms', '', 'scu', 'tag=input;type=text;size=20;maxlength=40;class=', l('Remitente de los envíos por SMS (si está habilitado)', 'scu'), SWPHP_PERMISO_LECTURAYESCRITURA, false);

	return $ok;
}
/**
 * Realiza las actuaciones particulares de la desinstalación de este módulo
 *
 * @param array $info
 * @return bool
 */
function scu_desinstalar($info)
{
	global $db;

	$ok = SWPHP::_ExecuteSQLFile(SWPHP_MODULES_DIR.$info['clave'].'/sql/uninstall.sql');
	$ok &= SWPHP::_DeleteAllConfigValues($info['clave']);

	return $ok;
}
?>