<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-06-29
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/plugins/imagenes/functions.inc.php
 */

/**
 * Genera el HTML para mostrar una transición automática con las imágenes encontradas en el directorio indicado.
 *
 * @param string $dir
 * @param int $max
 * @param array $exts
 * @return string
 */
function swphp_plugin_imagenes_transicion($dir, $max=0, $exts=array('jpg','jpeg','gif','png'))
{
	$dir = str_replace('\\', '/', $dir);
	if(substr($dir, strlen($dir)-1) != '/')
	{
		$dir .= '/';
	}

	$html = "";
	$imagenes = getFilesExt($dir, $exts);
	$size = sizeof($imagenes);
	if($size > 0)
	{
		list($width, $height) = getimagesize($dir.$imagenes[0]);

		$html .= "<div id=\"imageContainerXF\" style=\"width:{$width}px;height:{$height}px;\">\n";
		$c = 0;
		if($max > 0)
		{
			shuffle($imagenes);
		}
		else
		{
			sort($imagenes);
		}
		foreach($imagenes as $imagen)
		{
			$html .= sprintf("\t<img style=\"display:none\" src=\"%s%s\" alt=\"Foto\" />\n", $dir, $imagen);
			$c++;
			if($max > 0 && $c >= $max)
			{
				break;
			}
		}
		$html .= "</div>\n";
	}

	return $html;
}
/**
 * Genera el HTML para mostrar una transición manual (con botones) con las imágenes encontradas en el directorio indicado.
 *
 * @param string $dir
 * @param int $max
 * @param array $exts
 * @return string
 */
function swphp_plugin_imagenes_bigfoto($dir, $max=0, $exts=array('jpg','jpeg','gif','png'))
{
	$dir = str_replace('\\', '/', $dir);
	if(substr($dir, strlen($dir)-1) != '/')
	{
		$dir .= '/';
	}

	$html = "";
	$imagenes = getFilesExt($dir, $exts);
	$size = sizeof($imagenes);
	if($size > 0)
	{
		$html .= "<script type=\"text/javascript\">\nvar imagenes = [";
		$c = 0;
		if($max > 0)
		{
			shuffle($imagenes);
		}
		else
		{
			sort($imagenes);
		}
		$sep = '';
		foreach($imagenes as $imagen)
		{
			$html .= sprintf("%s'%s%s'", $sep, addcslashes($dir, "'"), addcslashes($imagen, "'"));
			$c++;
			if($max > 0 && $c >= $max)
			{
				break;
			}
			$sep = ',';
		}
		$html .= "];\n</script>\n<script type=\"text/javascript\" src=\"js/bigfoto.js\"></script>\n";
		$html .= sprintf('<div class="bigfoto">
	<div class="anterior" onclick="Anterior()" title="Anterior"></div>
	<div class="siguiente" onclick="Siguiente()" title="Siguiente"></div>
	<div class="preload">
		<img id="bigfoto_preload" alt="" src="%s%s" />
	</div>
	<div class="foto">
		<img id="bigfoto" alt="Foto" src="%s%s" style="opacity: 1;" class="marco" />
	</div>
</div>', addcslashes($dir, "'"), addcslashes($imagenes[0], "'"), addcslashes($dir, "'"), addcslashes($imagenes[0], "'"));
	}

	return $html;
}
?>