/* ************************************************************
Created: 20060120
Author:  Steve Moitozo <god at zilla dot us>
Description: This is a quick and dirty password quality meter
		 written in JavaScript so that the password does
		 not pass over the network
Revision Author: Dick Ervasti (dick dot ervasti at quty dot com)
Revision Description: Exchanged text based prompts for a graphic thermometer

NOTE: Because I suck at regex the code below is incomplete and
	  does not accurately assess the strength of passwords
	  according to the above factors and weightings


Modified on 2009-01-10, 2012-10-15
By Jose Carlos Cruz Parra
www.programadorphpfreelance.com
Clase PasswordTester

************************************************************ */
function PasswordTester()
{
	this.words = new Array()
	this.words[1] = 'Muy mala'
	this.words[2] = 'Mala'
	this.words[3] = 'Aceptable'
	this.words[4] = 'Buena'
	this.words[5] = 'Muy buena'

	this.colors = new Array()
	this.colors[1] = '#ff0000'
	this.colors[2] = '#ff8800'
	this.colors[3] = '#dddd00'
	this.colors[4] = '#5fb404'
	this.colors[5] = '#088a08'

	this.score = function(passwd)	{
		var score = -1

		// LENGTH

		var len = passwd.length

		if(len > 0)	score += 3
		if(len > 4)	score += 3
		if(len > 6)	score += 8
		if(len > 8) score += 6
		if(len > 10)score += 4

		// LETTERS (Not exactly implemented as dictacted above because of my limited understanding of Regex)

		// [verified] at least one lower case letter
		if(passwd.match(/[a-z]/))
			score += 2

        // [verified] at least three lower case letter
		if(passwd.match(/(.*[a-z].*[a-z].*[a-z])/))
			score += 3

		// [verified] at least one upper case letter
		if(passwd.match(/[A-Z]/))
			score += 5

        // [verified] at least three upper case letter
		if(passwd.match(/(.*[A-Z].*[A-Z].*[A-Z])/))
			score += 3

		// NUMBERS

		// [verified] at least one number
		if(passwd.match(/\d+/))
			score += 5

        // [verified] at least two number
		if(passwd.match(/(.*[0-9].*[0-9])/))
			score += 3

		// [verified] at least three numbers
		if(passwd.match(/(.*[0-9].*[0-9].*[0-9])/))
			score += 5

		// SPECIAL CHAR

		// [verified] at least one special character
		if(passwd.match(/.[!,@,#,$,%,^,&,*,?,_,~]/))
			score += 5

		// [verified] at least two special characters
		if(passwd.match(/(.*[!,@,#,$,%,^,&,*,?,_,~].*[!,@,#,$,%,^,&,*,?,_,~])/))
			score += 5

		// COMBOS

		// [verified] both upper and lower case
		if(passwd.match(/([a-z].*[A-Z])|([A-Z].*[a-z])/))
			score += 3

		// [FAILED] both letters and numbers, almost works because an additional character is required
		if(passwd.match(/(\d.*\D)|(\D.*\d)/))
			score += 3

		// [verified] letters, numbers, and special characters
		if(passwd.match(/([a-zA-Z0-9].*[!,@,#,$,%,^,&,*,?,_,~])|([!,@,#,$,%,^,&,*,?,_,~].*[a-zA-Z0-9])/))
			score += 4

		return score
	}

	this.score2degree = function(score)	{
		if(score > -1 && score < 16)
		   return 1; //very weak
		if(score > 15 && score < 25)
		   return 2; //weak
		if(score > 24 && score < 35)
		   return 3; //medium
		if(score > 34 && score < 45)
		   return 4; //strong
		if(score > 44)
		   return 5; //very strong

		return -1; //blank
	}

	this.degree2word = function(degree)	{
		return (degree > 0 && degree < 6) ? this.words[degree] : ''
	}

	this.getInfo = function(passwd)	{
		var degree = this.score2degree(this.score(passwd))
		return '<span style="background:'+this.degree2color(degree)+'">&nbsp;&nbsp;&nbsp;</span> '+this.degree2word(degree)
	}

	this.showInfo = function(passwd, element_id)	{
		document.getElementById(element_id).innerHTML = this.getInfo(passwd)
	}

	this.degree2color = function(degree)	{
		return (degree > 0 && degree < 6) ? this.colors[degree] : '#cccccc'
	}
}